﻿//!CompilerOption:AddRef:SharpSvn.dll
using System;
using Zeta.Common.Plugins;

namespace EZUpdater
{
    public class EZUpdaterPlugin : IPlugin
    {
        private const string AUTHOR = "rrrix(modify by XXjinhyokXX)";
        private const string DESCRIPTION = "Automatic Plugin Updater(modify by XXjinhyokXX)";
        private const string NAME = "EZUpdater";

        public string Author
        {
            get { return AUTHOR; }
        }

        public string Description
        {
            get { return DESCRIPTION; }
        }

        public System.Windows.Window DisplayWindow
        {
            get { return Config.GetDisplayWindow(); }
        }

        public string Name
        {
            get { return NAME; }
        }

        public void OnDisabled()
        {
            Logger.Info("Disabled");
        }

        public void OnEnabled()
        {
            Logger.Info("Enabled");
            EZUpdater.Instance.StartWorker();
        }

        public void OnInitialize()
        {
            // TODO: OnInitialize
        }

        public void OnPulse()
        {
            // TODO: OnPulse
        }

        public void OnShutdown()
        {
            // TODO: OnPulse
        }

        public Version Version
        {
            get { return EZUpdater.PluginVersion; }
        }

        public bool Equals(IPlugin other)
        {
            return this.Version == other.Version && this.Name == other.Name;
        }
    }
}
