﻿
namespace EZUpdater
{
    public class Logger
    {
        private static readonly log4net.ILog DBLog = Zeta.Common.Logger.GetLoggerInstanceForType();

        public static void Error(string message, params object[] args)
        {
            message = "[EZUpdater] " + message;
            DBLog.ErrorFormat(message, args);
        }

        public static void Info(string message, params object[] args)
        {
            message = "[EZUpdater] " + message;
            DBLog.InfoFormat(message, args);
        }

        public static void Debug(string message, params object[] args)
        {
            message = "[EZUpdater] " + message;
            DBLog.DebugFormat(message, args);
        }

    }
}
